Debian Bug report logs - #695091
live-build: incorrect version check

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Konstantin Demin <rockdrilla@gmail.com>

Date: Tue, 4 Dec 2012 05:54:02 UTC

Severity: normal

Found in version live-build/4.0~a1-1

Fixed in version live-build/4.0~a2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#695091; Package live-build. (Tue, 04 Dec 2012 05:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Demin <rockdrilla@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 04 Dec 2012 05:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantin Demin <rockdrilla@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: incorrect version check
Date: Tue, 04 Dec 2012 09:50:50 +0400
Package: live-build
Version: 4.0~a1-1
Severity: important
Tags: upstream patch

Current case: live-config:experimental and live-build:experimental (both are 4.0~a1-1).
1) `lb config' in newly created directory   - PASS
2) `lb build' immediately after `lb config' - FAIL

Error message is 'This config tree is too new for this version of live-build (4.0~a1-1).'

Problem is laid down in live-build at version check.

$ fgrep -h -n -e VERSION /usr/share/live/build/functions/defaults.sh
1202:           if [ ${CURRENT_CONFIG_VERSION} -ge 4 ]
1204:                   Echo_error "This config tree is too new for this version of live-build (${VERSION})."

Current major version is 4; therefore, it refuses to build with current config version.

Suggested patch on /usr/share/live/build/functions/defaults.sh:
-           if [ ${CURRENT_CONFIG_VERSION} -ge 4 ]
+           if [ ${CURRENT_CONFIG_VERSION} -gt 4 ]

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.6-pf7.krd2 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

SY, Konstantin Demin.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#695091; Package live-build. (Tue, 04 Dec 2012 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 04 Dec 2012 10:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 695091@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Konstantin Demin <rockdrilla@gmail.com>
Cc: 695091@bugs.debian.org
Subject: Re: Bug#695091: live-build: incorrect version check
Date: Tue, 04 Dec 2012 11:29:18 +0100
tag 695091 - upstream
tag 695091 - patch
tag 695091 pending
severity 695091 normal
thanks

On 12/04/2012 06:50 AM, Konstantin Demin wrote:
> Suggested patch on /usr/share/live/build/functions/defaults.sh:
> -           if [ ${CURRENT_CONFIG_VERSION} -ge 4 ]
> +           if [ ${CURRENT_CONFIG_VERSION} -gt 4 ]

ftr, the correct thing here is to increase the number, not to loosen the 
condition. done in git.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Removed tag(s) upstream. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 04 Dec 2012 10:30:14 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 04 Dec 2012 10:30:14 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 04 Dec 2012 10:30:15 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 04 Dec 2012 10:30:15 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 06 Dec 2012 21:06:08 GMT) Full text and rfc822 format available.

Notification sent to Konstantin Demin <rockdrilla@gmail.com>:
Bug acknowledged by developer. (Thu, 06 Dec 2012 21:06:08 GMT) Full text and rfc822 format available.

Message #23 received at 695091-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 695091-close@bugs.debian.org
Subject: Bug#695091: fixed in live-build 4.0~a2-1
Date: Thu, 06 Dec 2012 21:03:58 +0000
Source: live-build
Source-Version: 4.0~a2-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Dec 2012 21:17:32 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 4.0~a2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 685791 695091
Changes: 
 live-build (4.0~a2-1) experimental; urgency=low
 .
   * Removing some leftovers from stripped and minimal package lists.
   * Updating powerpc kernel list on ubuntu.
   * Adding dropped empty-line separator in defaults.
   * Adding dropped empty-line separator in binary_debian-installer.
   * Updating version config tree version check (Closes: #695091).
   * Updating wording about regenerating config trees.
   * Harmonizing apt configuration handling in chroot_archives.
   * Adding support for local apt conf.d snippets in archive definitions
     (Closes: #685791).
   * Ensuring that functions are either sources locally or globally, but
     not both.
   * Adding proper header to build.sh include.
   * Dropping ubuntu guards on firmware selection code, we're not enabling
     firmware inclusion in ubuntu mode anyway.
   * Adding 3.0~a69-1 changelog entries.
Checksums-Sha1: 
 afbec4ac5f3bd814a3a8354f5878a87d46ee7fbb 1322 live-build_4.0~a2-1.dsc
 3a17bb704a7315ece620c3d87d8df32474311b74 162280 live-build_4.0~a2.orig.tar.xz
 4f71d4db292e301990b5f99382f79f60f0cc87d7 49972 live-build_4.0~a2-1.debian.tar.xz
 569ce19b1ce99b0842ebed04154aef6466d24620 195698 live-build_4.0~a2-1_all.deb
 4a6c9ad5e82796072d2f259715e16678b0b5d321 74168 live-build-cgi_4.0~a2-1_all.deb
Checksums-Sha256: 
 e46b4d89bbd7fc4d97841ccbf2126593041dda66d0d286547972466229a9e044 1322 live-build_4.0~a2-1.dsc
 4d55e86c82e67318dd7e75203196de06b841373e528dae9c1f005e2bad2e1d71 162280 live-build_4.0~a2.orig.tar.xz
 f174835559b390dcdf7abce096f2f6bf3913dd9294e7591c2d054bb079b79bb3 49972 live-build_4.0~a2-1.debian.tar.xz
 2b38a8c8d00b92a4bf560342868133c6a7b9346b452dcfa193d1145f64807a68 195698 live-build_4.0~a2-1_all.deb
 b5dc088a707f536407bd71db195b9f291d0b359f86a1ddb5db5960b83f8d65e9 74168 live-build-cgi_4.0~a2-1_all.deb
Files: 
 1417c733f41c6e63f87d5f76b8ab29ec 1322 misc optional live-build_4.0~a2-1.dsc
 b6db4f222de8aa393e0c92d303dc75c6 162280 misc optional live-build_4.0~a2.orig.tar.xz
 87a8d876b5963b7f65c4375c5f2f8a85 49972 misc optional live-build_4.0~a2-1.debian.tar.xz
 ce6ba55b98ca18bb555b972b071734ed 195698 misc optional live-build_4.0~a2-1_all.deb
 f55349a9d5e46b7b53326c73e417e436 74168 misc optional live-build-cgi_4.0~a2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEUEARECAAYFAlDA/esACgkQ+C5cwEsrK56jCwCfXlpykKkPO/PtKDDnNATPC2/U
Wb4Al1qTZniPxVCj35ZzIlxYAxtKQmc=
=1nAw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Jan 2013 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:37:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.